from cauldron.plotting._definitions import ColorPalette

# http://docs.bokeh.org/en/1.3.2/docs/reference/palettes.html
# https://matplotlib.org/3.1.1/_images/sphx_glr_colormaps_006.png

ACCENT = ColorPalette(
    name='accent',
    colors=(
        (0x7f, 0xc9, 0x7f),
        (0xbe, 0xae, 0xd4),
        (0xfd, 0xc0, 0x86),
        (0xff, 0xff, 0x99),
        (0x38, 0x6c, 0xb0),
        (0xf0, 0x02, 0x7f),
        (0xbf, 0x5b, 0x17),
        (0x66, 0x66, 0x66),
    )
)

DARK = ColorPalette(
    name='dark',
    colors=(
        (0x1b, 0x9e, 0x77),
        (0xd9, 0x5f, 0x02),
        (0x75, 0x70, 0xb3),
        (0xe7, 0x29, 0x8a),
        (0x66, 0xa6, 0x1e),
        (0xe6, 0xab, 0x02),
        (0xa6, 0x76, 0x1d),
        (0x66, 0x66, 0x66),
    )
)

PAIRED = ColorPalette(
    name='paired',
    colors=(
        (0xa6, 0xce, 0xe3),
        (0x1f, 0x78, 0xb4),
        (0xb2, 0xdf, 0x8a),
        (0x33, 0xa0, 0x2c),
        (0xfb, 0x9a, 0x99),
        (0xe3, 0x1a, 0x1c),
        (0xfd, 0xbf, 0x6f),
        (0xff, 0x7f, 0x00),
        (0xca, 0xb2, 0xd6),
        (0x6a, 0x3d, 0x9a),
        (0xff, 0xff, 0x99),
        (0xb1, 0x59, 0x28),
    )
)

PASTEL_1 = ColorPalette(
    name='pastel_1',
    colors=(
        (0xfb, 0xb4, 0xae),
        (0xb3, 0xcd, 0xe3),
        (0xcc, 0xeb, 0xc5),
        (0xde, 0xcb, 0xe4),
        (0xfe, 0xd9, 0xa6),
        (0xff, 0xff, 0xcc),
        (0xe5, 0xd8, 0xbd),
        (0xfd, 0xda, 0xec),
        (0xf2, 0xf2, 0xf2),
    )
)

PASTEL_2 = ColorPalette(
    name='pastel_2',
    colors=(
        (0xb3, 0xe2, 0xcd),
        (0xfd, 0xcd, 0xac),
        (0xcb, 0xd5, 0xe8),
        (0xf4, 0xca, 0xe4),
        (0xe6, 0xf5, 0xc9),
        (0xff, 0xf2, 0xae),
        (0xf1, 0xe2, 0xcc),
        (0xcc, 0xcc, 0xcc),
    )
)

SET_1 = ColorPalette(
    name='set_1',
    colors=(
        (0xe4, 0x1a, 0x1c),
        (0x37, 0x7e, 0xb8),
        (0x4d, 0xaf, 0x4a),
        (0x98, 0x4e, 0xa3),
        (0xff, 0x7f, 0x00),
        (0xff, 0xff, 0x33),
        (0xa6, 0x56, 0x28),
        (0xf7, 0x81, 0xbf),
        (0x99, 0x99, 0x99),
    )
)

SET_2 = ColorPalette(
    name='set_2',
    colors=(
        (0x66, 0xc2, 0xa5),
        (0xfc, 0x8d, 0x62),
        (0x8d, 0xa0, 0xcb),
        (0xe7, 0x8a, 0xc3),
        (0xa6, 0xd8, 0x54),
        (0xff, 0xd9, 0x2f),
        (0xe5, 0xc4, 0x94),
        (0xb3, 0xb3, 0xb3),
    )
)

SET_3 = ColorPalette(
    name='set_3',
    colors=(
        (0x8d, 0xd3, 0xc7),
        (0xff, 0xff, 0xb3),
        (0xbe, 0xba, 0xda),
        (0xfb, 0x80, 0x72),
        (0x80, 0xb1, 0xd3),
        (0xfd, 0xb4, 0x62),
        (0xb3, 0xde, 0x69),
        (0xfc, 0xcd, 0xe5),
        (0xd9, 0xd9, 0xd9),
        (0xbc, 0x80, 0xbd),
        (0xcc, 0xeb, 0xc5),
        (0xff, 0xed, 0x6f),
    )
)
