from cauldron.plotting._definitions import ColorPalette

COLORBLIND = ColorPalette(
    name='colorblind',
    colors=(
        (0x00, 0x72, 0xb2),
        (0xe6, 0x9f, 0x00),
        (0xf0, 0xe4, 0x42),
        (0x00, 0x9e, 0x73),
        (0x56, 0xb4, 0xe9),
        (0xd6, 0x63, 0x08),
        (0xcc, 0x79, 0xa7),
        (0x00, 0x00, 0x00),
    )
)

PLOTLY_V4 = ColorPalette(
    name='plotly_v4',
    colors=(
        (0x63, 0x6e, 0xfa),
        (0xEF, 0x55, 0x3B),
        (0x00, 0xcc, 0x96),
        (0xab, 0x63, 0xfa),
        (0xFF, 0xA1, 0x5A),
        (0x19, 0xd3, 0xf3),
        (0xFF, 0x66, 0x92),
        (0xB6, 0xE8, 0x80),
        (0xFF, 0x97, 0xFF),
        (0xFE, 0xCB, 0x52),
    )
)

# https://github.com/d3/d3-3.x-api-reference/blob/master/Ordinal-Scales.md#category10
CATEGORICAL_10 = ColorPalette(
    name='categorical_10',
    colors=(
        (31, 119, 180),
        (255, 127, 14),
        (44, 160, 44),
        (214, 39, 40),
        (148, 103, 189),
        (140, 86, 75),
        (227, 119, 194),
        (127, 127, 127),
        (188, 189, 34),
        (23, 190, 207),
    )
)

# https://github.com/d3/d3-3.x-api-reference/blob/master/Ordinal-Scales.md#category20
CATEGORICAL_20A = ColorPalette(
    name='categorical_20a',
    colors=(
        (0x1f, 0x77, 0xb4),
        (0xae, 0xc7, 0xe8),
        (0xff, 0x7f, 0x0e),
        (0xff, 0xbb, 0x78),
        (0x2c, 0xa0, 0x2c),
        (0x98, 0xdf, 0x8a),
        (0xd6, 0x27, 0x28),
        (0xff, 0x98, 0x96),
        (0x94, 0x67, 0xbd),
        (0xc5, 0xb0, 0xd5),
        (0x8c, 0x56, 0x4b),
        (0xc4, 0x9c, 0x94),
        (0xe3, 0x77, 0xc2),
        (0xf7, 0xb6, 0xd2),
        (0x7f, 0x7f, 0x7f),
        (0xc7, 0xc7, 0xc7),
        (0xbc, 0xbd, 0x22),
        (0xdb, 0xdb, 0x8d),
        (0x17, 0xbe, 0xcf),
        (0x9e, 0xda, 0xe5),
    )
)

# https://github.com/d3/d3-3.x-api-reference/blob/master/Ordinal-Scales.md#category20b
CATEGORICAL_20B = ColorPalette(
    name='categorical_20b',
    colors=(
        (0x39, 0x3b, 0x79),
        (0x52, 0x54, 0xa3),
        (0x6b, 0x6e, 0xcf),
        (0x9c, 0x9e, 0xde),
        (0x63, 0x79, 0x39),
        (0x8c, 0xa2, 0x52),
        (0xb5, 0xcf, 0x6b),
        (0xce, 0xdb, 0x9c),
        (0x8c, 0x6d, 0x31),
        (0xbd, 0x9e, 0x39),
        (0xe7, 0xba, 0x52),
        (0xe7, 0xcb, 0x94),
        (0x84, 0x3c, 0x39),
        (0xad, 0x49, 0x4a),
        (0xd6, 0x61, 0x6b),
        (0xe7, 0x96, 0x9c),
        (0x7b, 0x41, 0x73),
        (0xa5, 0x51, 0x94),
        (0xce, 0x6d, 0xbd),
        (0xde, 0x9e, 0xd6),
    )
)

CATEGORICAL_20C = ColorPalette(
    name='categorical_20c',
    colors=(
        (0x31, 0x82, 0xbd),
        (0x6b, 0xae, 0xd6),
        (0x9e, 0xca, 0xe1),
        (0xc6, 0xdb, 0xef),
        (0xe6, 0x55, 0x0d),
        (0xfd, 0x8d, 0x3c),
        (0xfd, 0xae, 0x6b),
        (0xfd, 0xd0, 0xa2),
        (0x31, 0xa3, 0x54),
        (0x74, 0xc4, 0x76),
        (0xa1, 0xd9, 0x9b),
        (0xc7, 0xe9, 0xc0),
        (0x75, 0x6b, 0xb1),
        (0x9e, 0x9a, 0xc8),
        (0xbc, 0xbd, 0xdc),
        (0xda, 0xda, 0xeb),
        (0x63, 0x63, 0x63),
        (0x96, 0x96, 0x96),
        (0xbd, 0xbd, 0xbd),
        (0xd9, 0xd9, 0xd9),
    )
)
